Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Member Functions | Static Public Attributes | List of all members
ISizeableStream Class Referenceabstract
Basic Interfaces

Stream with a size. More...

`#include <ibstream.h>`

Inheritance diagram for ISizeableStream:

## Public Member Functions
virtual tresult | getStreamSize (int64 &size)=0
| Return the stream size.
virtual tresult | setStreamSize (int64 size)=0
| Set the steam size.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Stream with a size.

[extends IBStream] when stream type supports it (like file and memory stream)

## Member Function Documentation

virtual tresult getStreamSize | ( | int64 & | size | ) |
| pure virtual

Return the stream size.

virtual tresult setStreamSize | ( | int64 | size | ) |
| pure virtual

Set the steam size.

File streams can only be resized if they are write enabled.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.